package com.hzya.frame.sys.userRole.dao;

import com.hzya.frame.sys.userRole.entity.UserRole;
import java.util.List;

/**
 * @description: 人员角色管理  dao
 * @tableName: sys_user_role 
 * @entityName: UserRole
 * @author: gjh
 * @history: 1.0
 */
public interface IUserRoleMapper {

        //通过ID获取数据    entity_get
        UserRole entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<UserRole> entity_list_base(UserRole entity);

        //  查询符合条件的数量
        Integer entity_count(UserRole entity);

        //分页查询列表 采用like格式 entity_list_like
        List<UserRole> entity_list_like(UserRole entity);

        //查询列表 字段采用or格式   entity_list_or
        List<UserRole> entity_list_or(UserRole entity);

        //新增  entity_insert
        Integer entity_insert(UserRole entity);

        //修改  entity_update
        Integer entity_update(UserRole entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(UserRole entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(UserRole entity);

        //物理删除
        Integer entity_delete(UserRole entity);


}
